CREATE TABLE cel_recognitions (
    RECOGNITION_ID           NUMBER(18, 0) ,
    PROGRAM_ID               NUMBER(18, 0)     NOT NULL,
    TYPE_CODE                VARCHAR2(120) ,
    SUB_TYPE_CODE            VARCHAR2(120) ,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    FROM_PERSON_ID           NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    FROM_ASSIGNMENT_ID       NUMBER(18, 0) ,
    RECOGNITION_DATE         TIMESTAMP(6)      NOT NULL,
    POINTS                   NUMBER        ,
    HEADLINE                 VARCHAR2(320) ,
    MESSAGE                  VARCHAR2(4000),
    ILLUSTRATION_ID          NUMBER(18, 0) ,
    VALUE1_ID                NUMBER(18, 0) ,
    VALUE2_ID                NUMBER(18, 0) ,
    VALUE3_ID                NUMBER(18, 0) ,
    VALUE4_ID                NUMBER(18, 0) ,
    VALUE5_ID                NUMBER(18, 0) ,
    PUBLISHED_FLAG           VARCHAR2(4)   ,
    NOTIFIED_FLAG            VARCHAR2(4)   ,
    VISIBILITY_CODE          VARCHAR2(120) ,
    RECORD_CREATOR           VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RECOGNITION_ID           NUMBER(18, 0) ,
    PROGRAM_ID               NUMBER(18, 0)     NOT NULL,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    FROM_PERSON_ID           NUMBER(18, 0)     NOT NULL,
    RECOGNITION_DATE         TIMESTAMP(6)      NOT NULL,
    POINTS                   NUMBER        ,
    HEADLINE                 VARCHAR2(320) ,
    MESSAGE                  VARCHAR2(4000),
    ILLUSTRATION_ID          NUMBER(18, 0) ,
    VALUE1_ID                NUMBER(18, 0) ,
    VALUE2_ID                NUMBER(18, 0) ,
    VALUE3_ID                NUMBER(18, 0) ,
    VALUE4_ID                NUMBER(18, 0) ,
    VALUE5_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    TYPE_CODE                VARCHAR2(120) ,
    ASSIGNMENT_ID            NUMBER(18, 0) ,
    FROM_ASSIGNMENT_ID       NUMBER(18, 0) ,
    PUBLISHED_FLAG           VARCHAR2(4)   ,
    NOTIFIED_FLAG            VARCHAR2(4)   ,
    VISIBILITY_CODE          VARCHAR2(120) ,
    RECORD_CREATOR           VARCHAR2(120) ,
    SUB_TYPE_CODE            VARCHAR2(120) ,
    CONSTRAINT pk_cel_recognitions PRIMARY KEY (RECOGNITION_ID, RECOGNITION_ID)
);
